| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages # DOMNode.hpp File Reference Include dependency graph for DOMNode.hpp: This graph shows which files directly or indirectly include this file: Go to the source code of this file.
## Classes
class | DOMNode
| The `DOMNode` interface is the primary datatype for the entire Document Object Model. More...
## Defines
#define | GET_OWNER_DOCUMENT(ptr) ((DOMDocumentImpl*)(ptr->getOwnerDocument()))
#define | GET_DIRECT_MM(ptr) ptr ? ((DOMDocumentImpl*)ptr)->getMemoryManager() : XMLPlatformUtils::fgMemoryManager
#define | GET_INDIRECT_MM(ptr)
#define | GetDOMNodeMemoryManager GET_INDIRECT_MM(this)
## Define Documentation
#define GET_DIRECT_MM | ( | ptr |  | ) | ptr ? ((DOMDocumentImpl*)ptr)->getMemoryManager() : XMLPlatformUtils::fgMemoryManager
#define GET_INDIRECT_MM | ( | ptr |  | ) |
Value:
    !ptr ? XMLPlatformUtils::fgMemoryManager :                              \
            GET_OWNER_DOCUMENT(ptr) ? GET_OWNER_DOCUMENT(ptr)->getMemoryManager() : \
            XMLPlatformUtils::fgMemoryManager
#define GET_OWNER_DOCUMENT | ( | ptr |  | ) | ((DOMDocumentImpl*)(ptr->getOwnerDocument()))
#define GetDOMNodeMemoryManager GET_INDIRECT_MM(this)

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.